Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006569opensim[REGION] Specific OpenSim Modulepublic2013-03-08 13:562019-03-19 15:48
ReporterTBG Renfold 
Assigned ToUbitUmarov 
PrioritynoneSeveritytweakReproducibilityN/A
StatusassignedResolutionreopened 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0006569: [PATCH] - Some possible updates to the combat module.
DescriptionA few minor updates to the combat module and also updated the Opensim ini files.

This should not interfere with current usage. osCauseDamage has been changed slightly (maybe temporary) because as far as I recall from tests in the past, the health update, alert message & teleport client home is handled by the combat module anyway. I could be wrong.

Changes to OpensimDefaults.ini & Opensim.ini.example are as follows:

;; Combat module settings
[Combat]
    ;# {TeleportHomeOnDeath} {} { Teleport the avatar home when they have died } {true false} true
    TeleportHomeOnDeath = true;

    ;# {RestoreHealthOnDeath} {} { Restore the avatars health back to 100% after death } {true false} true
    RestoreHealthOnDeath = true;

    ;# {RemoveNpcOnDeath} {} { Delete the NPC when it dies } {true false} true
    RemoveNpcOnDeath = true;

THESE CHANGES HAVE NOT BEEN TESTED! but did compile.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Filespatch file icon 0001-A-few-minor-updates-to-the-combat-module-and-also-up.patch [^] (9,182 bytes) 2013-03-08 13:56 [Show Content]

- Relationships

-  Notes
(0023669)
justincc (administrator)
2013-03-15 17:03

I'm afraid I wouldn't want to apply a patch unless it has been tested. Of course, someone else could do that if they want this functionality.
(0023671)
TBG Renfold (reporter)
2013-03-15 17:20

That's fair enough and understandable. It's a patch that I recreated from memory. Had a bad HDD failure a few months back, then the knock on effect, hoping to be able to test soon.
(0023672)
justincc (administrator)
2013-03-15 17:22

Oh and just a small pedantic point - non-public fields should start with m_
(0034858)
TBG Renfold (reporter)
2019-02-26 05:17

Not going anywhere, years old and outdated. Reference only.
(0034859)
UbitUmarov (administrator)
2019-02-26 05:34

reopened at least to remember that combat is outdated and needs work
what was the idea of the suggested changes?
(0034880)
tampa (reporter)
2019-02-27 12:19

Reading the code as I understand it emulating the teleport home behavior SL has for avatar death along with providing an alternative. Also handling npc death properly by removing them, iirc currently they just stand around with 0 health, have not tested this though.

I only recently heard someone working on a module for some sort of zombie game, whatever that may be. Have not seen source, but I suppose it does show there is interest in this sort of thing.
(0034881)
UbitUmarov (administrator)
2019-02-27 12:20

yes only does tp home, badly and will block physics. Needs work...
(0034882)
tampa (reporter)
2019-02-27 12:24

Once I get source for that zombie game module I will see if it perhaps handles this differently, may be able to take some cues from it and create a patch for master :)
(0034883)
djphil (reporter)
2019-02-27 12:27
edited on: 2019-02-27 12:31

Aurora-Sim offered some functions for combat ...

Source: https://github.com/aurora-sim/Aurora-Sim/blob/master/AuroraDocs/AAFunctions/Combat%20Functions.lsl [^]

- aaGetWalkDisabled
- aaSetWalkDisabled
- aaGetFlyDisabled
- aaSetFlyDisabled
- aaJoinCombatTeam
- aaGetTeamMembers
- aaJoinCombat
- aaLeaveCombat
- aaFreezeAvatar
- aaThawAvatar
- aaGetTeam

- aaRequestCombatPermission

run_time_permissions(integer perm)
    if (perm & PERMISSION_TAKE_CONTROLS | PERMISSION_COMBAT == PERMISSION_COMBAT)

(0034925)
TBG Renfold (reporter)
2019-03-16 15:18

Sorry people, not had the chance to re-patch / and try out recently (plus UBits correct, it needs work). But Tampa has the right idea. It was designed that NPC's get removed and also blocks the teleport home for the user (so they are re-spawned in the same region if required), also stops the users health from building up automatically without a script function (aka health pack, osCauseHealing). Other OSL functions have superseded some of this with OsSetHealth & osSetHealRate.
(0034934)
tampa (reporter)
2019-03-19 15:48

I have been given a link to source as well as binaries.

http://www.endivatomic.eu/wiki/ezen_inst [^]

How useful this is I cannot say, I have contacted the developer to ask for rebuild as direct addon module rather than self-compile dll, but have not heard anything.

I suppose given there is no real license info attached to this as of yet it would not be wise to just copypasta, but it may give some clues as to what would "feel" better to the user in terms of health system and the like.

- Issue History
Date Modified Username Field Change
2013-03-08 13:56 TBG Renfold New Issue
2013-03-08 13:56 TBG Renfold File Added: 0001-A-few-minor-updates-to-the-combat-module-and-also-up.patch
2013-03-12 17:06 justincc Status new => patch included
2013-03-15 17:03 justincc Note Added: 0023669
2013-03-15 17:03 justincc Assigned To => justincc
2013-03-15 17:03 justincc Status patch included => patch feedback
2013-03-15 17:20 TBG Renfold Note Added: 0023671
2013-03-15 17:22 justincc Note Added: 0023672
2019-02-26 05:17 TBG Renfold Note Added: 0034858
2019-02-26 05:17 TBG Renfold Status patch feedback => resolved
2019-02-26 05:34 UbitUmarov Assigned To justincc => UbitUmarov
2019-02-26 05:34 UbitUmarov Note Added: 0034859
2019-02-26 05:34 UbitUmarov Status resolved => feedback
2019-02-26 05:34 UbitUmarov Resolution open => reopened
2019-02-27 12:19 tampa Note Added: 0034880
2019-02-27 12:20 UbitUmarov Note Added: 0034881
2019-02-27 12:24 tampa Note Added: 0034882
2019-02-27 12:27 djphil Note Added: 0034883
2019-02-27 12:31 djphil Note Edited: 0034883 View Revisions
2019-03-16 15:18 TBG Renfold Note Added: 0034925
2019-03-16 15:18 TBG Renfold Status feedback => assigned
2019-03-19 15:48 tampa Note Added: 0034934


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker